%if 0%{?opensuse_bs}
#!BuildIgnore:  php-mysqlnd
#!BuildIgnore:  roundcubemail-plugin-jqueryui-skin-classic
#!BuildIgnore:  roundcubemail-skin-classic
#!BuildIgnore:  roundcubemail-plugin-managesieve-skin-classic
#!BuildIgnore:  roundcubemail-plugin-acl-skin-classic
#!BuildIgnore:  roundcubemail-skin-classic
#!BuildIgnore:  lighttpd
#!BuildIgnore:  cherokee
#!BuildIgnore:  nginx
#!BuildIgnore:  httpd-itk
%endif

Name:           roundcubemail-skin-enterprise
Version:        0.3.8
Release:        4.331%{?dist}.kolab_16
Summary:        Kolab Enterprise skin for Roundcube

Group:          Web/Applications
License:        CC-BY-SA
URL:            http://www.kolab.org
Source0:        http://mirror.kolabsys.com/pub/releases/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  roundcubemail(skin-chameleon) >= 0.3.8
BuildRequires:  roundcubemail(skin-chameleon-assets) >= 0.3.8

%if "%{_arch}" != "ppc64" && "%{_arch}" != "ppc64le"
BuildRequires:  nodejs-less
%if 0%{?suse_version} < 1
BuildRequires:  uglify-js
%endif
%else
BuildRequires:  php-lessphp
%endif

BuildRequires:  python

Requires:       roundcubemail(skin-enterprise) = %{?epoch:%%{epoch}:}%{version}-%{release}
Requires:       roundcubemail(skin-enterprise-assets) = %{?epoch:%%{epoch}:}%{version}-%{release}

%description
This package contains a Kolab Groupware skin for the Roundcube web mail
interface.

%package core
Summary:        Enterprise skin for Roundcube
Group:          Applications/Internet
Requires:       roundcubemail(core) >= 1.1
Requires:       roundcubemail(skin-larry) >= 1.1
Provides:       roundcubemail(skin-enterprise) = %{?epoch:%%{epoch}:}%{version}-%{release}

%description core
Kolab skin for Roundcube

%package assets
Summary:        Assets for the Enterprise skin
Group:          Applications/Internet
Requires:       roundcubemail(skin-larry-assets) >= 1.1
Provides:       roundcubemail(skin-enterprise-assets) = %{?epoch:%%{epoch}:}%{version}-%{release}

%description assets
Assets for the Enterprise skin

%prep
%setup -q

%build

%install
mkdir -p \
    %{buildroot}/%{_datadir}/roundcubemail/skins/enterprise/ \
    %{buildroot}/%{_datadir}/roundcubemail/public_html/assets/skins/enterprise/

cp -av /usr/share/roundcubemail/skins/chameleon/* \
    %{buildroot}/%{_datadir}/roundcubemail/skins/enterprise/.

cp -av /usr/share/roundcubemail/public_html/assets/skins/chameleon/* \
    %{buildroot}/%{_datadir}/roundcubemail/public_html/assets/skins/enterprise/.

rm -rf skins/enterprise/colors.sh

cp -av skins/enterprise/* %{buildroot}/%{_datadir}/roundcubemail/skins/enterprise/.

orig_dir=%{buildroot}/%{_datadir}/roundcubemail/skins/enterprise/
asset_dir=%{buildroot}/%{_datadir}/roundcubemail/public_html/assets/skins/enterprise/

# Compress the CSS
for file in `find ${orig_dir} -type f -name "*.less" ! -name "colors.less" | grep -vE "${orig_dir}/(plugins|skins)/"`; do
    asset_loc=$(dirname $(echo ${file} | %{__sed} -e "s|${orig_dir}|$asset_dir|g"))
    %{__mkdir_p} ${asset_loc}
    (
        %{_bindir}/lessc -x ${file} > ${asset_loc}/$(basename ${file} .less).css || \
            cat $(dirname ${file})/colors.less ${file} | %{_bindir}/plessc -r -f=compressed > ${asset_loc}/$(basename ${file} .less).css
        ) && \
        %{__rm} -rf ${file} || \
        %{__mv} -v ${file} ${asset_loc}/$(basename ${file})
done

# Compress the JS, but not the already minified
for file in `find ${orig_dir} -type f -name "*.js" ! -name "*.min.js" | grep -vE "${orig_dir}/(plugins|skins)/"`; do
    asset_loc=$(dirname $(echo ${file} | %{__sed} -e "s|${orig_dir}|$asset_dir|g"))
    %{__mkdir_p} ${asset_loc}
    uglifyjs ${file} > ${asset_loc}/$(basename ${file}) && \
        %{__rm} -rf ${file} || \
        %{__mv} -v ${file} ${asset_loc}/$(basename ${file})
done

# The already minified JS can just be copied over to the assets location
for file in `find ${orig_dir} -type f -name "*.min.js" | grep -vE "${orig_dir}/(plugins|skins)/"`; do
    asset_loc=$(dirname $(echo ${file} | %{__sed} -e "s|${orig_dir}|$asset_dir|g"))
    %{__mkdir_p} ${asset_loc}
    %{__mv} -v ${file} ${asset_loc}/$(basename ${file})
done

# Other assets
for file in $(find ${orig_dir} -type f \
        -name "*.eot" -o \
        -name "*.gif" -o \
        -name "*.ico" -o \
        -name "*.jpg" -o \
        -name "*.png" -o \
        -name "*.svg" -o \
        -name "*.swf" -o \
        -name "*.tif" -o \
        -name "*.ttf" -o \
        -name "*.woff" | \
        grep -vE "${orig_dir}/(plugins|skins)/"
    ); do
    asset_loc=$(dirname $(echo ${file} | %{__sed} -e "s|${orig_dir}|$asset_dir|g"))
    %{__mkdir_p} ${asset_loc}
    %{__mv} -vf ${file} ${asset_loc}/$(basename $file)
done

%files
%defattr(-,root,root,-)

%files core
%defattr(-,root,root,-)
%if 0%{?suse_version}
%dir %{_datadir}/roundcubemail/
%dir %{_datadir}/roundcubemail/skins/
%dir %{_datadir}/roundcubemail/public_html/assets/
%dir %{_datadir}/roundcubemail/public_html/assets/skins/
%endif
%{_datadir}/roundcubemail/skins/enterprise/

%files assets
%{_datadir}/roundcubemail/public_html/assets/skins/enterprise/

%changelog
* Sat Jan 19 2019 Jeroen van Meeuwen <vanmeeuwen@kolabsys.com> - 0.3.8-3
- Rebuild against chameleon update

* Wed Oct  3 2018 Jeroen van Meeuwen <vanmeeuwen@kolabsys.com> - 0.3.8-2
- Rebuild against chameleon update

* Thu May 31 2018 Jeroen van Meeuwen <vanmeeuwen@kolabsys.com> - 0.3.8-1
- Release version 0.3.8

* Thu Apr 12 2018 Jeroen van Meeuwen <vanmeeuwen@kolabsys.com> - 0.3.7-1
- Release version 0.3.7

* Sat Jul 22 2017 Jeroen van Meeuwen <vanmeeuwen@kolabsys.com> - 0.3.6-1
- Release version 0.3.6

* Thu Dec  3 2015 Jeroen van Meeuwen <vanmeeuwen@kolabsys.com> - 0.3.4-3
- Allow skin to be built using php-based less

* Wed Apr 15 2015 Christoph Wickert <wickert@kolabsys.com> - 0.3.4-2
- Rebuild against version 0.3.6 of the chameleon skin

* Fri Mar 27 2015 Jeroen van Meeuwen <vanmeeuwen@kolabsys.com> - 0.3.4-1
- Release of version 0.3.4

* Wed Feb 25 2015 Jeroen van Meeuwen <vanmeeuwen@kolabsys.com> - 0.3.3-2
- Rebuild against version 0.3.5 of the chameleon skin

* Sat Feb 14 2015 Jeroen van Meeuwen <vanmeeuwen@kolabsys.com> - 0.3.3-1
- Release of version 0.3.3

* Thu Jan 29 2015 Jeroen van Meeuwen <vanmeeuwen@kolabsys.com> - 0.3.2-2
- Rebuild against version 0.3.3 of the chameleon skin

* Tue Jan 27 2015 Jeroen van Meeuwen <vanmeeuwen@kolabsys.com> - 0.3.2-1
- Release version 0.3.2

* Fri Jan 23 2015 Jeroen van Meeuwen <vanmeeuwen@kolabsys.com> - 0.3.1-7
- Rebuild against new chameleon version

* Thu Jan 22 2015 Jeroen van Meeuwen <vanmeeuwen@kolabsys.com> - 0.3.1-2
- Update sprites to match new chameleon skin
- Improve logo (#4193)

* Wed Jan  7 2015 Jeroen van Meeuwen <vanmeeuwen@kolabsys.com> - 0.3.1-1
- Release of version 0.3.1

* Fri Dec 19 2014 Jeroen van Meeuwen <vanmeeuwen@kolabsys.com> - 0.3.0-1
- Release 0.3.0 for #4049, #4056 and inclusion of base skin fixes

* Tue Dec  9 2014 Jeroen van Meeuwen <vanmeeuwen@kolabsys.com> - 0.2-1
- Version 0.2

* Mon Dec  8 2014 Jeroen van Meeuwen <vanmeeuwen@kolabsys.com> - 0.1-1
- First package
